Bug 1465681 - rule_package_aide_installed is not enabled in profile_stig-rhel7-disa
rule_package_aide_installed is not enabled in profile_stig-rhel7-disa
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Watson Yuuma Sato
Marek Haicman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 19:20 EDT by Marek Haicman
Modified: 2018-04-10 08:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: scap-security-guide-0.1.35-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 08:20:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0761 None None None 2018-04-10 08:21 EDT

  None (edit)
Description Marek Haicman 2017-06-27 19:20:56 EDT
Description of problem:
By missing this rule, profile remediation won't install aide package, even though it is required by other aide-related rules, which are failing if aide is not installed.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.33-5.el7.noarch

How reproducible:
reliably

Steps to Reproduce:
1. Remediate freshly installed system with profile stig-rhel7-disa
2.
3.

Actual results:
aide rules are failing

Expected results:
aide rules are passing after remediation

Additional info:
Possible reason for Bug 1392683
Comment 2 Watson Yuuma Sato 2017-09-05 03:22:12 EDT
Should be fixed by: https://github.com/OpenSCAP/scap-security-guide/pull/2132
Comment 4 Marek Haicman 2018-01-22 06:52:12 EST
Verified that scap-security-guide-0.1.36-7.el7.noarch contains fix for this issue:

OLD (scap-security-guide-0.1.33-6.el7.noarch):
[dahaic@machine]$ grep 'Profile\|package_aide_installed' 0.1.33-6/ssg-rhel7-ds.xml  | grep "stig-rhel7-disa" -A2
      <Profile id="xccdf_org.ssgproject.content_profile_stig-rhel7-disa">
      </Profile>
      <Profile id="xccdf_org.ssgproject.content_profile_stig-rhevh-upstream">



NEW (scap-security-guide-0.1.36-7.el7.noarch):
[dahaic@machine]$ grep 'Profile\|package_aide_installed' 0.1.33-6/ssg-rhel7-ds.xml | grep "stig-rhel7-disa" -A2
      <Profile id="xccdf_org.ssgproject.content_profile_stig-rhel7-disa">
        <select idref="xccdf_org.ssgproject.content_rule_package_aide_installed" selected="true"/>
      </Profile>
Comment 8 errata-xmlrpc 2018-04-10 08:20:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0761

Note You need to log in before you can comment on or make changes to this bug.